io.agora.rtc

## Class DefaultLocalUserObserver

- java.lang.Object
- - io.agora.rtc.DefaultLocalUserObserver

- All Implemented Interfaces:
    ILocalUserObserver

      public class DefaultLocalUserObserver
      extends java.lang.Object
      implements ILocalUserObserver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLocalUserObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActiveSpeaker(AgoraLocalUser agoraLocalUser, java.lang.String userId)`
    `void` | `onAudioMetaDataReceived(AgoraLocalUser agoraLocalUser, java.lang.String userId, byte[] metaData)`
    `void` | `onAudioPublishStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String channel, int oldState, int newState, int elapseSinceLastState)`
    `void` | `onAudioSubscribeStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String channel, java.lang.String userId, int oldState, int newState, int elapseSinceLastState)`
    `void` | `onAudioTrackPublicationFailure(AgoraLocalUser agoraLocalUser, AgoraLocalAudioTrack agoraLocalAudioTrack, int error)`
    `void` | `onAudioTrackPublishStart(AgoraLocalUser agoraLocalUser, AgoraLocalAudioTrack agoraLocalAudioTrack)`
    `void` | `onAudioTrackPublishSuccess(AgoraLocalUser agoraLocalUser, AgoraLocalAudioTrack agoraLocalAudioTrack)`
    `void` | `onAudioTrackUnpublished(AgoraLocalUser agoraLocalUser, AgoraLocalAudioTrack agoraLocalAudioTrack)`
    `void` | `onAudioVolumeIndication(AgoraLocalUser agoraLocalUser, AudioVolumeInfo[] speakers, int totalVolume)`
    `void` | `onFirstRemoteAudioDecoded(AgoraLocalUser agoraLocalUser, java.lang.String userId, int elapsed)`
    `void` | `onFirstRemoteAudioFrame(AgoraLocalUser agoraLocalUser, java.lang.String userId, int elapsed)`
    `void` | `onFirstRemoteVideoDecoded(AgoraLocalUser agoraLocalUser, java.lang.String userId, int width, int height, int elapsed)`
    `void` | `onFirstRemoteVideoFrame(AgoraLocalUser agoraLocalUser, java.lang.String userId, int width, int height, int elapsed)`
    `void` | `onFirstRemoteVideoFrameRendered(AgoraLocalUser agoraLocalUser, java.lang.String userId, int width, int height, int elapsed)`
    `void` | `onIntraRequestReceived(AgoraLocalUser agoraLocalUser)`
    `void` | `onLocalAudioTrackStateChanged(AgoraLocalUser agoraLocalUser, AgoraLocalAudioTrack agoraLocalAudioTrack, int state, int error)`
    `void` | `onLocalAudioTrackStatistics(AgoraLocalUser agoraLocalUser, LocalAudioStats stats)`
    `void` | `onLocalVideoTrackStateChanged(AgoraLocalUser agoraLocalUser, AgoraLocalVideoTrack agoraLocalVideoTrack, int state, int error)`
    `void` | `onLocalVideoTrackStatistics(AgoraLocalUser agoraLocalUser, AgoraLocalVideoTrack agoraLocalVideoTrack, LocalVideoTrackStats stats)`
    `void` | `onRemoteAudioTrackStatistics(AgoraLocalUser agoraLocalUser, AgoraRemoteAudioTrack agoraRemoteAudioTrack, RemoteAudioTrackStats stats)`
    `void` | `onRemoteSubscribeFallbackToAudioOnly(AgoraLocalUser agoraLocalUser, java.lang.String userId, int isFallbackOrRecover)`
    `void` | `onRemoteVideoStreamInfoUpdated(AgoraLocalUser agoraLocalUser, RemoteVideoStreamInfo info)`
    `void` | `onRemoteVideoTrackStatistics(AgoraLocalUser agoraLocalUser, AgoraRemoteVideoTrack agoraRemoteVideoTrack, RemoteVideoTrackStats stats)`
    `void` | `onStreamMessage(AgoraLocalUser agoraLocalUser, java.lang.String userId, int streamId, java.lang.String data, long length)`
    `void` | `onUserAudioTrackStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String userId, AgoraRemoteAudioTrack agoraRemoteAudioTrack, int state, int reason, int elapsed)`
    `void` | `onUserAudioTrackSubscribed(AgoraLocalUser agoraLocalUser, java.lang.String userId, AgoraRemoteAudioTrack agoraRemoteAudioTrack)`
    `void` | `onUserInfoUpdated(AgoraLocalUser agoraLocalUser, java.lang.String userId, int msg, int val)`
    `void` | `onUserStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String userId, int state)`
    `void` | `onUserVideoTrackStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String userId, AgoraRemoteVideoTrack agoraRemoteVideoTrack, int state, int reason, int elapsed)`
    `void` | `onUserVideoTrackSubscribed(AgoraLocalUser agoraLocalUser, java.lang.String userId, VideoTrackInfo info, AgoraRemoteVideoTrack agoraRemoteVideoTrack)`
    `void` | `onVideoPublishStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String channel, int oldState, int newState, int elapseSinceLastState)`
    `void` | `onVideoSizeChanged(AgoraLocalUser agoraLocalUser, java.lang.String userId, int width, int height, int rotation)`
    `void` | `onVideoSubscribeStateChanged(AgoraLocalUser agoraLocalUser, java.lang.String channel, java.lang.String userId, int oldState, int newState, int elapseSinceLastState)`
    `void` | `onVideoTrackPublicationFailure(AgoraLocalUser agoraLocalUser, AgoraLocalVideoTrack agoraLocalVideoTrack, int error)`
    `void` | `onVideoTrackPublishStart(AgoraLocalUser agoraLocalUser, AgoraLocalVideoTrack agoraLocalVideoTrack)`
    `void` | `onVideoTrackPublishSuccess(AgoraLocalUser agoraLocalUser, AgoraLocalVideoTrack agoraLocalVideoTrack)`
    `void` | `onVideoTrackUnpublished(AgoraLocalUser agoraLocalUser, AgoraLocalVideoTrack agoraLocalVideoTrack)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLocalUserObserver

          public DefaultLocalUserObserver()

  - ### Method Detail

    - #### onAudioTrackPublishSuccess

          public void onAudioTrackPublishSuccess(AgoraLocalUser agoraLocalUser,
                                                 AgoraLocalAudioTrack agoraLocalAudioTrack)

      Specified by:
        `onAudioTrackPublishSuccess` in interface `ILocalUserObserver`

    - #### onAudioTrackPublishStart

          public void onAudioTrackPublishStart(AgoraLocalUser agoraLocalUser,
                                               AgoraLocalAudioTrack agoraLocalAudioTrack)

      Specified by:
        `onAudioTrackPublishStart` in interface `ILocalUserObserver`

    - #### onAudioTrackUnpublished

          public void onAudioTrackUnpublished(AgoraLocalUser agoraLocalUser,
                                              AgoraLocalAudioTrack agoraLocalAudioTrack)

      Specified by:
        `onAudioTrackUnpublished` in interface `ILocalUserObserver`

    - #### onVideoTrackPublishStart

          public void onVideoTrackPublishStart(AgoraLocalUser agoraLocalUser,
                                               AgoraLocalVideoTrack agoraLocalVideoTrack)

      Specified by:
        `onVideoTrackPublishStart` in interface `ILocalUserObserver`

    - #### onVideoTrackUnpublished

          public void onVideoTrackUnpublished(AgoraLocalUser agoraLocalUser,
                                              AgoraLocalVideoTrack agoraLocalVideoTrack)

      Specified by:
        `onVideoTrackUnpublished` in interface `ILocalUserObserver`

    - #### onAudioTrackPublicationFailure

          public void onAudioTrackPublicationFailure(AgoraLocalUser agoraLocalUser,
                                                     AgoraLocalAudioTrack agoraLocalAudioTrack,
                                                     int error)

      Specified by:
        `onAudioTrackPublicationFailure` in interface `ILocalUserObserver`

    - #### onLocalAudioTrackStateChanged

          public void onLocalAudioTrackStateChanged(AgoraLocalUser agoraLocalUser,
                                                    AgoraLocalAudioTrack agoraLocalAudioTrack,
                                                    int state,
                                                    int error)

      Specified by:
        `onLocalAudioTrackStateChanged` in interface `ILocalUserObserver`

    - #### onLocalAudioTrackStatistics

          public void onLocalAudioTrackStatistics(AgoraLocalUser agoraLocalUser,
                                                  LocalAudioStats stats)

      Specified by:
        `onLocalAudioTrackStatistics` in interface `ILocalUserObserver`

    - #### onRemoteAudioTrackStatistics

          public void onRemoteAudioTrackStatistics(AgoraLocalUser agoraLocalUser,
                                                   AgoraRemoteAudioTrack agoraRemoteAudioTrack,
                                                   RemoteAudioTrackStats stats)

      Specified by:
        `onRemoteAudioTrackStatistics` in interface `ILocalUserObserver`

    - #### onUserAudioTrackSubscribed

          public void onUserAudioTrackSubscribed(AgoraLocalUser agoraLocalUser,
                                                 java.lang.String userId,
                                                 AgoraRemoteAudioTrack agoraRemoteAudioTrack)

      Specified by:
        `onUserAudioTrackSubscribed` in interface `ILocalUserObserver`

    - #### onUserAudioTrackStateChanged

          public void onUserAudioTrackStateChanged(AgoraLocalUser agoraLocalUser,
                                                   java.lang.String userId,
                                                   AgoraRemoteAudioTrack agoraRemoteAudioTrack,
                                                   int state,
                                                   int reason,
                                                   int elapsed)

      Specified by:
        `onUserAudioTrackStateChanged` in interface `ILocalUserObserver`

    - #### onAudioSubscribeStateChanged

          public void onAudioSubscribeStateChanged(AgoraLocalUser agoraLocalUser,
                                                   java.lang.String channel,
                                                   java.lang.String userId,
                                                   int oldState,
                                                   int newState,
                                                   int elapseSinceLastState)

      Specified by:
        `onAudioSubscribeStateChanged` in interface `ILocalUserObserver`

    - #### onAudioPublishStateChanged

          public void onAudioPublishStateChanged(AgoraLocalUser agoraLocalUser,
                                                 java.lang.String channel,
                                                 int oldState,
                                                 int newState,
                                                 int elapseSinceLastState)

      Specified by:
        `onAudioPublishStateChanged` in interface `ILocalUserObserver`

    - #### onFirstRemoteAudioFrame

          public void onFirstRemoteAudioFrame(AgoraLocalUser agoraLocalUser,
                                              java.lang.String userId,
                                              int elapsed)

      Specified by:
        `onFirstRemoteAudioFrame` in interface `ILocalUserObserver`

    - #### onFirstRemoteAudioDecoded

          public void onFirstRemoteAudioDecoded(AgoraLocalUser agoraLocalUser,
                                                java.lang.String userId,
                                                int elapsed)

      Specified by:
        `onFirstRemoteAudioDecoded` in interface `ILocalUserObserver`

    - #### onVideoTrackPublishSuccess

          public void onVideoTrackPublishSuccess(AgoraLocalUser agoraLocalUser,
                                                 AgoraLocalVideoTrack agoraLocalVideoTrack)

      Specified by:
        `onVideoTrackPublishSuccess` in interface `ILocalUserObserver`

    - #### onVideoTrackPublicationFailure

          public void onVideoTrackPublicationFailure(AgoraLocalUser agoraLocalUser,
                                                     AgoraLocalVideoTrack agoraLocalVideoTrack,
                                                     int error)

      Specified by:
        `onVideoTrackPublicationFailure` in interface `ILocalUserObserver`

    - #### onLocalVideoTrackStateChanged

          public void onLocalVideoTrackStateChanged(AgoraLocalUser agoraLocalUser,
                                                    AgoraLocalVideoTrack agoraLocalVideoTrack,
                                                    int state,
                                                    int error)

      Specified by:
        `onLocalVideoTrackStateChanged` in interface `ILocalUserObserver`

    - #### onLocalVideoTrackStatistics

          public void onLocalVideoTrackStatistics(AgoraLocalUser agoraLocalUser,
                                                  AgoraLocalVideoTrack agoraLocalVideoTrack,
                                                  LocalVideoTrackStats stats)

      Specified by:
        `onLocalVideoTrackStatistics` in interface `ILocalUserObserver`

    - #### onUserVideoTrackSubscribed

          public void onUserVideoTrackSubscribed(AgoraLocalUser agoraLocalUser,
                                                 java.lang.String userId,
                                                 VideoTrackInfo info,
                                                 AgoraRemoteVideoTrack agoraRemoteVideoTrack)

      Specified by:
        `onUserVideoTrackSubscribed` in interface `ILocalUserObserver`

    - #### onUserVideoTrackStateChanged

          public void onUserVideoTrackStateChanged(AgoraLocalUser agoraLocalUser,
                                                   java.lang.String userId,
                                                   AgoraRemoteVideoTrack agoraRemoteVideoTrack,
                                                   int state,
                                                   int reason,
                                                   int elapsed)

      Specified by:
        `onUserVideoTrackStateChanged` in interface `ILocalUserObserver`

    - #### onRemoteVideoTrackStatistics

          public void onRemoteVideoTrackStatistics(AgoraLocalUser agoraLocalUser,
                                                   AgoraRemoteVideoTrack agoraRemoteVideoTrack,
                                                   RemoteVideoTrackStats stats)

      Specified by:
        `onRemoteVideoTrackStatistics` in interface `ILocalUserObserver`

    - #### onAudioVolumeIndication

          public void onAudioVolumeIndication(AgoraLocalUser agoraLocalUser,
                                              AudioVolumeInfo[] speakers,
                                              int totalVolume)

      Specified by:
        `onAudioVolumeIndication` in interface `ILocalUserObserver`

    - #### onActiveSpeaker

          public void onActiveSpeaker(AgoraLocalUser agoraLocalUser,
                                      java.lang.String userId)

      Specified by:
        `onActiveSpeaker` in interface `ILocalUserObserver`

    - #### onRemoteVideoStreamInfoUpdated

          public void onRemoteVideoStreamInfoUpdated(AgoraLocalUser agoraLocalUser,
                                                     RemoteVideoStreamInfo info)

      Specified by:
        `onRemoteVideoStreamInfoUpdated` in interface `ILocalUserObserver`

    - #### onVideoSubscribeStateChanged

          public void onVideoSubscribeStateChanged(AgoraLocalUser agoraLocalUser,
                                                   java.lang.String channel,
                                                   java.lang.String userId,
                                                   int oldState,
                                                   int newState,
                                                   int elapseSinceLastState)

      Specified by:
        `onVideoSubscribeStateChanged` in interface `ILocalUserObserver`

    - #### onVideoPublishStateChanged

          public void onVideoPublishStateChanged(AgoraLocalUser agoraLocalUser,
                                                 java.lang.String channel,
                                                 int oldState,
                                                 int newState,
                                                 int elapseSinceLastState)

      Specified by:
        `onVideoPublishStateChanged` in interface `ILocalUserObserver`

    - #### onFirstRemoteVideoFrame

          public void onFirstRemoteVideoFrame(AgoraLocalUser agoraLocalUser,
                                              java.lang.String userId,
                                              int width,
                                              int height,
                                              int elapsed)

      Specified by:
        `onFirstRemoteVideoFrame` in interface `ILocalUserObserver`

    - #### onFirstRemoteVideoDecoded

          public void onFirstRemoteVideoDecoded(AgoraLocalUser agoraLocalUser,
                                                java.lang.String userId,
                                                int width,
                                                int height,
                                                int elapsed)

      Specified by:
        `onFirstRemoteVideoDecoded` in interface `ILocalUserObserver`

    - #### onFirstRemoteVideoFrameRendered

          public void onFirstRemoteVideoFrameRendered(AgoraLocalUser agoraLocalUser,
                                                      java.lang.String userId,
                                                      int width,
                                                      int height,
                                                      int elapsed)

      Specified by:
        `onFirstRemoteVideoFrameRendered` in interface `ILocalUserObserver`

    - #### onVideoSizeChanged

          public void onVideoSizeChanged(AgoraLocalUser agoraLocalUser,
                                         java.lang.String userId,
                                         int width,
                                         int height,
                                         int rotation)

      Specified by:
        `onVideoSizeChanged` in interface `ILocalUserObserver`

    - #### onUserInfoUpdated

          public void onUserInfoUpdated(AgoraLocalUser agoraLocalUser,
                                        java.lang.String userId,
                                        int msg,
                                        int val)

      Specified by:
        `onUserInfoUpdated` in interface `ILocalUserObserver`

    - #### onIntraRequestReceived

          public void onIntraRequestReceived(AgoraLocalUser agoraLocalUser)

      Specified by:
        `onIntraRequestReceived` in interface `ILocalUserObserver`

    - #### onRemoteSubscribeFallbackToAudioOnly

          public void onRemoteSubscribeFallbackToAudioOnly(AgoraLocalUser agoraLocalUser,
                                                           java.lang.String userId,
                                                           int isFallbackOrRecover)

      Specified by:
        `onRemoteSubscribeFallbackToAudioOnly` in interface `ILocalUserObserver`

    - #### onStreamMessage

          public void onStreamMessage(AgoraLocalUser agoraLocalUser,
                                      java.lang.String userId,
                                      int streamId,
                                      java.lang.String data,
                                      long length)

      Specified by:
        `onStreamMessage` in interface `ILocalUserObserver`

    - #### onUserStateChanged

          public void onUserStateChanged(AgoraLocalUser agoraLocalUser,
                                         java.lang.String userId,
                                         int state)

      Specified by:
        `onUserStateChanged` in interface `ILocalUserObserver`

    - #### onAudioMetaDataReceived

          public void onAudioMetaDataReceived(AgoraLocalUser agoraLocalUser,
                                              java.lang.String userId,
                                              byte[] metaData)

      Specified by:
        `onAudioMetaDataReceived` in interface `ILocalUserObserver`